Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2113146 - chisel: FTBFS in Fedora rawhide/f37
Summary: chisel: FTBFS in Fedora rawhide/f37
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: chisel
Version: 37
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fabian Affolter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F38FTBFS F39FTBFS F40FTBFS F37FTBFS
TreeView+ depends on / blocked
 
Reported: 2022-08-01 23:19 UTC by Fedora Release Engineering
Modified: 2023-08-20 18:48 UTC (History)
2 users (show)

Fixed In Version: chisel-1.9.0-1.fc40
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-08-20 18:48:37 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2022-08-01 23:19 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2022-08-01 23:19 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2022-08-01 23:19 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2022-08-01 23:19:38 UTC
chisel failed to build from source in Fedora rawhide/f37

https://koji.fedoraproject.org/koji/taskinfo?taskID=89759962


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild
Please fix chisel at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
chisel will be orphaned. Before branching of Fedora 38,
chisel will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 1 Fedora Release Engineering 2022-08-01 23:19:40 UTC
Created attachment 1900883 [details]
build.log

Comment 2 Fedora Release Engineering 2022-08-01 23:19:41 UTC
Created attachment 1900884 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2022-08-01 23:19:42 UTC
Created attachment 1900885 [details]
state.log

Comment 4 Ben Cotton 2022-08-09 13:24:23 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 37 development cycle.
Changing version to 37.

Comment 5 Fedora Update System 2023-08-20 18:47:35 UTC
FEDORA-2023-b29031a7aa has been submitted as an update to Fedora 40. https://bodhi.fedoraproject.org/updates/FEDORA-2023-b29031a7aa

Comment 6 Fedora Update System 2023-08-20 18:48:37 UTC
FEDORA-2023-b29031a7aa has been pushed to the Fedora 40 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.